/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HPDI_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HPDI_MSGRECEIVE' AND KSQL_COL_NAME IN ('FORGID')) 
 ALTER TABLE T_HPDI_MSGRECEIVE ADD (FORGID BIGINT DEFAULT 0 NOT NULL );

 EXEC p_AlterColumn 'T_HPDI_MSGRECEIVE', 'FMSGCLOUDID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';

 EXEC p_AlterColumn 'T_HPDI_MSGRECEIVE', 'FMSGAPPID', 'VARCHAR(50)', 'NOT NULL', '1111', ''' ''';
 
 EXEC p_AlterColumn 'T_HPDI_MSGRECVCENTER', 'FMSGPARAMS', 'VARCHAR(2000)', 'NOT NULL', '0100', ''' ''';
/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HPDI_table.sql **/
